Package org.mariadb.jdbc.pool

## Class PoolThreadFactory

- java.lang.Object
- - org.mariadb.jdbc.pool.PoolThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

    public class PoolThreadFactory
    extends Object
    implements ThreadFactory

Pool thread factory

### Constructor Summary

Constructors
`PoolThreadFactory​(String threadName)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`Thread` `newThread​(Runnable runnable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PoolThreadFactory

    public PoolThreadFactory​(String threadName)

Constructor

Parameters:
  `threadName` - thread name

### Method Detail

#### newThread

    public Thread newThread​(Runnable runnable)

Specified by:
  `newThread` in interface `ThreadFactory`